<?php

namespace App\Console\Commands;

use App\Services\LogService;
use Illuminate\Console\Command;

class UpdateOrderPackageExceptionTypeCountingRecordTask extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'updateOrderPackageExceptionTypeCountingRecordTask';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '更新order_package_exception_type_counting_records';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        LogService::log(__CLASS__,"更新order_package_exception_type_counting_records",'');
        ini_set('memory_limit','2226M');
        app('OrderPackageExceptionTypeCountingRecordService')->updateOrCreate(7);
    }
}
